language: php

php:
  - 5.4
  - 5.5
  - 5.6
  - hhvm

env:
  - PACKAGE_VERSION=high

sudo: false

matrix:
  include:
    - php: 5.3
      dist: precise
      env: PACKAGE_VERSION=low

before_script:
  - composer selfupdate
  - if [[ "$PACKAGE_VERSION" == "high" ]]; then composer update --prefer-source; fi
  - if [[ "$PACKAGE_VERSION" == "low" ]]; then composer update --prefer-lowest --prefer-source; fi

script: phpunit -c tests/phpunit.xml.dist

notifications:
  irc: "irc.freenode.org#jackalope"
